stalker

Note: After publishing, you may have to bypass your browser's cache to see the changes.

/***** CSS placed here will be applied to all skins on the entire site. *****/

/* import font for mainpage */
 @import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700');
 
 @import "/wiki/MediaWiki:Icons.css?action=raw&ctype=text/css";

/* Removing title on main page */
.mainpage .page-header__title, .mainpage .page-header__separator {
	display: none;
}
 
/* local/site navigation styling */
    .fandom-community-header { filter: none; text-shadow: 1.11px 1.11px 0 rgba(0, 0, 0, 0.65);     z-index: 100;}
    .fandom-community-header__local-navigation .wds-dropdown__content, .wds-dropdown__content.wds-is-right-aligned { text-shadow: none; }

/* article page transparency */
.page__main {
    background-color: rgba(var(--theme-page-background-color--rgb),0.85);
}

/* mainpage boxes */
.mpbox {
  border-image:url(https://static.wikia.nocookie.net/stalker/images/6/6f/Stalker2_bg_border.png);
  border-image-width:50px;
  border-image-repeat:repeat;
  border-image-slice:31 31 31 31 fill;
  color:#fff;
  padding: 10px;
}

.mpbox a:not(.new) {
  color:#ee991a
}

.mpheader {
  font-family: 'Oswald', 'Arial';
  font-size: 24pt;
  font-weight: 500;
  letter-spacing: 1pt;
  background: url(https://static.wikia.nocookie.net/stalker/images/3/32/Stalker2_border_orange.png) center bottom no-repeat, url(https://static.wikia.nocookie.net/stalker/images/b/bb/Stalker_2_dots_header.png) left top no-repeat;
  background-size: contain, 70% 100%;
  padding: 5px 5px 5px 20px
}

.main-page-tag-rcs .mpheader {
  background-size: 100% 4%, 150% 100%;
}

.mptext {
  padding: 20px;
}

/* Giving headers and TOC a little extra space */
h2 {
   margin-top: 20px;
}
.toc {
   margin-top: 20px;
}

/* for invert template for white game icons to appear directly on article pages as black */
.theme-fandomdesktop-light .iconinvert:not(.portable-infobox .iconinvert) {
  filter: invert(100%);
}

/* notice banner */
.noticebanner {
  border-image:url(https://static.wikia.nocookie.net/stalker/images/1/11/Stalker_popup_box.png);
  border-image-width:100px;
  border-image-repeat:repeat;
  border-image-slice: 100 fill;
  max-width: 90%;
  padding: 15px;
  margin: auto;
  overflow: hidden;
  color: #fff;
}

.noticebanner a:not(.new) {
  color: #ee991a;
}

/* spacing between notice templates using Mbox */
.noticebanner +.noticebanner {
  margin-top: 8px;
}

/* adds some spacing between template:Icon and template:Mbox if they're both in use on a page (icon template should be before the notice templates) */
.GameIcon +.noticebanner {
  margin-top: 15px;
}

.licensebox {
	background-color: rgba(255, 255, 255, 0.05);
	border: 1px solid #555555;
	padding: 6pt;
	margin: auto;
	text-align:center;
	font-size: small;
}

/*** infobox styling ***/
/* Eliminate border between rows  */
.pi-border-color {
	border-top-color: transparent;
}

.portable-infobox {
  width: 285px;
  background-color: transparent;
  border-image: url("https://static.wikia.nocookie.net/stalker/images/6/6f/Stalker2_bg_border.png");
  border-image-width: 50px;
  border-image-repeat: repeat;
  border-image-slice: 31 31 31 31 fill;
  padding: 10px;
  color: #fff;
}

.portable-infobox a:not(.new) {
  color: #ee991a;
}

.pi-caption {
  font-size: 9pt;
  line-height: 13pt;
}

.pi-title, .pi-header {
  background-color: transparent;
}

.pi-title {
  font-size: 14pt !important;
  background-image:url('https://static.wikia.nocookie.net/stalker/images/3/32/Stalker2_border_orange.png');
	background-repeat: no-repeat;
	background-position: 0% 100%;
	background-size: contain;
}

.pi-header {
  font-size: 11pt !important;
  background-image:url('https://static.wikia.nocookie.net/stalker/images/0/05/Stalker2_bg_title_green.png');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: 50%;
}

.portable-infobox .pi-item-spacing.pi-data {
    padding: 10px 3px;
}

.pi-data-label {
  text-align: right;
  border-right: 2px solid #6a773e;
  padding-right: 8px;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}

.pi-horizontal-group .pi-border-color {
  border: none;
}

/*** tabber for portable infobox and images ***/

/* whole row, centers tabs but is based on tab width */
.portable-infobox ul.wds-tabs li {
  margin: auto;
  color: #b5b5b5;
}

/* activated tab */
.portable-infobox ul.wds-tabs .wds-is-current {
  color: #ee991a;
}

/* activated hover tab */
.portable-infobox ul.wds-tabs .wds-is-current:hover {
	color: #ee991a !important;
}

/* inactive tab hover */
.portable-infobox ul.wds-tabs .wds-tabs__tab:hover {
    color: #84944e;
}
/*** End of tabber for portable infobox and images ***/

.portable-infobox .pi-navigation {
    text-align: center;
}

.portable-infobox > .pi-item:not(.pi-image):last-of-type + .pi-navigation,
.portable-infobox > .pi-group:last-of-type + .pi-navigation {
    border-top: 1px solid #212121;
}

.portable-infobox > .pi-navigation:last-child {
    font-size: 9pt;
    font-weight: normal;
}
/*** end of infobox styling ***/

/* Make <ref> tags not increase line height */
.reference {
   line-height: 1em;
}

/* Style for horizontal lists (separator following item).
   @source mediawiki.org/wiki/Snippets/Horizontal_lists
   @revision 9 (2016-08-10)
   @author [[User:Edokter]]
 */
.hlist dl,
.hlist ol,
.hlist ul {
    margin: 0;
    padding: 0;
}
/* Display list items inline */
.hlist dd,
.hlist dt,
.hlist li {
    margin: 0;
    display: inline;
}
/* Display nested lists inline */
.hlist.inline,
.hlist.inline dl,
.hlist.inline ol,
.hlist.inline ul,
.hlist dl dl, .hlist dl ol, .hlist dl ul,
.hlist ol dl, .hlist ol ol, .hlist ol ul,
.hlist ul dl, .hlist ul ol, .hlist ul ul {
    display: inline;
}
/* Hide empty list items */
.hlist .mw-empty-li,
.hlist .mw-empty-elt {
    display: none;
}
/* Generate interpuncts */
.hlist dt:after {
    content: ": ";
}
.hlist dd:after,
.hlist li:after {
    content: " · ";
    font-weight: bold;
}
.hlist dd:last-child:after,
.hlist dt:last-child:after,
.hlist li:last-child:after {
    content: none;
}
/* Add parentheses around nested lists */
.hlist dd dd:first-child:before, .hlist dd dt:first-child:before, .hlist dd li:first-child:before,
.hlist dt dd:first-child:before, .hlist dt dt:first-child:before, .hlist dt li:first-child:before,
.hlist li dd:first-child:before, .hlist li dt:first-child:before, .hlist li li:first-child:before {
    content: " (";
    font-weight: normal;
}
.hlist dd dd:last-child:after, .hlist dd dt:last-child:after, .hlist dd li:last-child:after,
.hlist dt dd:last-child:after, .hlist dt dt:last-child:after, .hlist dt li:last-child:after,
.hlist li dd:last-child:after, .hlist li dt:last-child:after, .hlist li li:last-child:after {
    content: ")";
    font-weight: normal;
}
/* Put ordinals in front of ordered list items */
.hlist ol {
    counter-reset: listitem;
}
.hlist ol > li {
    counter-increment: listitem;
}
.hlist ol > li:before {
    content: " " counter(listitem) "\a0";
}
.hlist dd ol > li:first-child:before,
.hlist dt ol > li:first-child:before,
.hlist li ol > li:first-child:before {
    content: " (" counter(listitem) "\a0";
}

/*******************
 * Navboxes
 *******************/
/*
* CSS Vars
* Note: The linter will throw an error. See [https://community.fandom.com/wiki/Help:Advanced_CSS_and_JS#Common_issues this page] for more info.
*/
.navbox {
	--navbox-bg-color:var(--theme-page-background-color);
	--navbox-text-color:var(--theme-page-text-color);
	--navbox-title-color:var(--theme-sticky-nav-background-color);
	--navbox-header-color:rgba(100, 100, 100 ,.3);
	--navbox-alt-color:rgba(85,85,85,0.2);
	--navbox-border-color:var(--theme-border-color);
}
.navbox {
    width: 100%;
    background: var(--navbox-bg-color, white);
    color: var(--navbox-text-color, black);
    margin: 1em auto;
    font-size: 84%;
    clear: both;
    padding: 2px;
    border-spacing: 0;
    border: 1px solid var(--navbox-border-color, #AAA);
}

/* Merges navboxes that are directly under eachother */
.navbox + .navbox {
    margin-top: -11px;
}

.navbox .navbox-title {
    background: var(--navbox-title-color, #CCF);
    color: #e1e1e1;
    font-weight: bold;
}

.navbox .navbox-title a:not(.new) {
	color: #d2801e;
}

.navbox .navbox-vde {
    float:left;
    width:65px;
}

.navbox .navbox-title-padright {
    padding-right: 65px;
}

.navbox .navbox-title-padleft {
    padding-left: 65px;
}

.navbox .navbox-subgroup {
    border-spacing: 0;
    width: 100%;
}

.navbox .navbox-gutter {
    height: 2px;
}

.navbox .navbox-subgroup .navbox-gutter {
    background: var(--navbox-bg-color, white);
}

.navbox .navbox-section-row > td {
    padding: 0;
    height: 100%;
}

.navbox .navbox-section {
    width: 100%;
    border-spacing: 0;
}

.navbox .navbox-above,
.navbox .navbox-below {
    background: var(--navbox-header-color, #DDF);
    text-align: center;
}

.navbox .navbox-image {
    background: var(--navbox-bg-color, white);
    text-align: center;
}

.navbox .navbox-group,
.navbox .navbox-header {
    background: var(--navbox-header-color, #DDF);
    color: var(--navbox-text-color, black);
    font-weight: bold;
    height: 100%;
    padding: 2px 4px;
}

.navbox .navbox-header-collapsible {
    padding-left: 65px;
}

.navbox .navbox-group {
    text-align: right;
    padding-right: 1em;
    min-width: 150px;
}

.navbox .navbox-group,
.navbox .navbox-image-left {
    border-right: 2px solid var(--navbox-bg-color, white);
}

.navbox-image-right {
    border-left: 2px solid var(--navbox-bg-color, white);
}

.navbox .navbox-list {
    background: var(--navbox-bg-color, white);
    color: var(--navbox-text-color, black);
    width: 100%;
    height: 100%;
    padding: 0;
}

.navbox .alt > .navbox-list {
    background: var(--navbox-alt-color, #F7F7F7);
}

.navbox .navbox-list div {
    padding: 0px 4px;
}

.navbox .navbox-list.no-group {
    text-align: center;
}

.navbox .mw-collapsible-toggle {
    width: 65px;
}

/* for printing purposes, won't show navbox if one wants to print page */
@media print {
    .navbox {
        display: none;
        }}

/** below code may be outdated/needs to be checked if still being used or needs to be updated/removed **/

/* === Descriptions (Template:Description) === */
.page-content .description {
	margin: 19px 0;
}

.page-content .description-icon {
	position: absolute;
	min-width: 38px;
	padding-left: 3px;
}

.page-content .description-body {
	margin-left: 38px;
	font-style: italic;
}

/** General fixes imported from The Vault */
/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect,
.watchlistredir {
   font-style: italic;
}
.allpagesredirect:after {
   color: #808080; content: " (redirect)"
}

/* Image frame fix */
div.tright, div.tleft {
   border: 1px solid silver;
}

div.thumbinner {
   background: inherit;
   border: none;
   color: inherit;
}
#article div.thumb {
   color:inherit;
}

/* Template:Quote Settings */
td.Quote_Left, td.Quote_Right {
color: #047EC4;
font-size: 40px;
font-family: 'Arial Black', 'Times New Roman',serif;
font-weight: bold;
width: 0px; }

td.Quote_Left {
line-height: 0.7em; /* This adjusts the offset of the quotation mark */
vertical-align: top;
text-align: right; }

td.Quote_Right {
line-height: 0.1em; /* This adjusts the offset of the quotation mark */
vertical-align: bottom;
text-align: left; }


/* ################################################## */
/* ### STALKERBOXES, adapted from Porter21s EVABOX### */
/* ################################################## */

/* CSS for scanline boxes, works for both divs and tables */
.stalker_box {
  color: #fff;
  margin-bottom: 5px;
}

table.stalker_box {
  border-collapse: collapse;
}

table.stalker_box th {
  
  font-size:120%;
  padding: 2px;
}

/* DO NOT REMOVE THIS LINE. Otherwise white lines will appear in tables in IE */
/* table.stalker_box td {border:1px solid #0d9be3;} */

table.stalker_box td,
div.stalker_box {
  padding: 2px;

}

td.small_text {
  font-size:80%; 
}

/* ### SOURCEBOX IMPORTED ### */
/* Template:Sourcebox */
table.sourcebox {
   margin: 0.25em auto 0.25em 0;
   border-collapse: collapse;
   line-height: normal; 
}

table.sourcebox th {
   vertical-align: middle; 
   text-align: center; 
   padding: 0 0.5em;
}

table.sourcebox td {
   font-size: 85%; 
   padding: 0;
}

table.sourcebox td span {
   border-top: 1px solid #aaaaaa; 

   border-bottom: 1px solid #aaaaaa; 

   display: block;
   padding: 0.25em 0.5em;
}

table.sourcebox a.new {
   color: #F11 !important;
}


/* ################################################## */
/* ### EVA INFOBOX                                ### */
/* ################################################## */
table.stalker_infobox {
  margin-left: 5px;
  width: 275px;
  font-size: 90%;
  border: 1px #fff solid;
   padding: 0.2em;
}

td.stalker_box_title,
td.stalker_box_header,
td.stalker_box_data {
}
td.stalker_box_header,
td.stalker_box_title {
  background: #252525;
  border-width: 1px 0;
}
td.stalker_box_title {
  text-align: right;
  width: 25%;
  white-space: nowrap;
}
td.stalker_box_header {
  text-align: center;
}
td.stalker_box_data {
  border-width: 1px 1px 1px 0;
  text-align: left;
  background-color: #313031;
}

/*** EVA Box - TabView extension ***/
.stalker_box .yui-navset .yui-nav li {
  background: transparent;
  color: #fff;
  border: 0;
  padding: 2px 5px;
}


.stalker_box .yui-content {
  background: transparent;
  color: #fff;
  margin-top: 0;
  padding-top: 0.25em;
  padding-left: 0.5em;
  padding-right: 0.5em;
}

.stalker_box .yui-content table {
  color: #fff;
}

.stalker_box .yui-nav {
  text-align: center;
}

.stalker_box div.ajax-poll {
  border: 0;
  margin-top: 0;
}

/*** Temporary hacks for preview ***/
.stalker_box .yui-content table {
  background: transparent !important;
  border: 0 !important;
}